Information

Description
A C# library for building projects and executing deployment scripts using C# code. Wiki can be found at: https://github.com/flubu-core/flubu.core/wiki A detailed example of how Flubu is used to build example project: https://bitbucket.org/zoroz/flubu.core.examples
Version
1.7.0
Project Url
https://bitbucket.org/zoroz/flubu.core
View on NuGet: http://www.nuget.org/packages/dotnet-flubu

Dependencies

Here are the packages that version 1.7.0 of dotnet-flubu depends on.

FlubuCore : (1.7.0) Microsoft.Extensions.CommandLineUtils : (1.1.1) Microsoft.DotNet.Cli.Utils : (1.0.1) Microsoft.CodeAnalysis.CSharp : (2.2.0) Microsoft.CodeAnalysis.Common : (2.2.0) Microsoft.CodeAnalysis.CSharp.Scripting : (2.2.0) NLog.Extensions.Logging : (1.0.0-rtm-beta3) Microsoft.Extensions.Configuration.EnvironmentVariables : (1.1.2) Microsoft.Extensions.Configuration.Json : (1.1.2) Microsoft.Extensions.Logging : (1.1.2) Microsoft.Extensions.Options.ConfigurationExtensions : (1.1.2) Microsoft.Extensions.DependencyInjection : (1.1.1) Microsoft.Extensions.Logging.Console : (1.1.2) Microsoft.Extensions.DependencyInjection.Abstractions : (1.1.1) System.ServiceProcess.ServiceController : (4.3.0) FlubuCore : (1.7.0) Microsoft.Extensions.CommandLineUtils : (1.1.1) Microsoft.DotNet.Cli.Utils : (1.0.1) Microsoft.CodeAnalysis.CSharp : (2.2.0) Microsoft.CodeAnalysis.Common : (2.2.0) Microsoft.CodeAnalysis.CSharp.Scripting : (2.2.0) NLog.Extensions.Logging : (1.0.0-rtm-beta3) Microsoft.Extensions.Configuration.EnvironmentVariables : (1.1.2) Microsoft.Extensions.Configuration.Json : (1.1.2) Microsoft.Extensions.Logging : (1.1.2) Microsoft.Extensions.Options.ConfigurationExtensions : (1.1.2) Microsoft.Extensions.DependencyInjection : (1.1.1) Microsoft.Extensions.Logging.Console : (1.1.2) Microsoft.Extensions.DependencyInjection.Abstractions : (1.1.1) System.ServiceProcess.ServiceController : (4.3.0) Microsoft.NETCore.App : (1.1.2)

Authors

 

Installing with NuGet

PM> Install-Package dotnet-flubu

Packages that Depend on dotnet-flubu

No packages were found that depend on version 1.7.0.